TechDraw ProjektionsGruppe

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw ProjectionGroup and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Vorherige: TechDraw ActiveView.svg AktiveAnsicht
Nächste: SchnittAnsicht TechDraw SectionView.svg Arrow-right.svg

TechDraw ProjectionGroup.svg TechDraw ProjektionsGruppe

Menüeintrag
TechDraw → Projektionsgruppe einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
TechDraw Ansicht einfügen, TechDraw Schnitt Ansicht einfügen

Beschreibung

Das TechDraw ProjectionGroup.svg ProjektionsGruppe Werkzeug erstellt eine Mehrfachansichtsprojektion einer oder mehrerer 3D Objekte. Die isometrischen Ansichten der vier Frontecken können ebenfalls eingeschlossen werden.

Wenn du nur eine einzige Ansicht erzeugen möchtest, ist es nicht von Vorteil, ProjektionsGruppe zu verwenden; nutze statt dessen Ansicht einfügen. Wenn du nicht die herkömmliche first- / [1] verwenden möchtest, solltest du mehrere Ansichten (Ansichten einfügen) anstelle von ProjektionsGruppe verwenden.

TechDraw ProjGroup example.png

Drei orthogonale Ansichten und eine isometrische Ansicht eines Festkörperobjekts

Anwendung

  1. Wähle ein oder mehrere Körper und/oder Part Objekte im 3D Fenster oder Baum. Wenn du mehrere Zeichnungsseiten in deinem Dokument hast, musst du auch die gewünschte Seite in der Baumstruktur auswählen.
  2. Drücke die TechDraw ProjectionGroup.svg Projektionsgruppe einfügen Schaltfläche
  3. Ein Dialogfeld wird geöffnet, in dem du auswählen kannst, welche Ansichten in der Gruppe erscheinen sollen, den Maßstab der Gruppe und andere Parameter:

TaskProjGroup.png

Projektionsgruppe Aufgabenkonsole. Das zentrale Feld zeigt die aktuelle Blickrichtung mit Prozentsätzen der x, y und z-Achse an.

Nachdem du die Projektionsgruppe erstellt hast, kannst du die Gruppe als Ganzes durch Ziehen der zentralen Ansicht verschieben. Du kannst die Projektionsansichten auch durch Ziehen verschieben.

Eigenschaften

  • Daten-EigenschaftAnker: Die zentrale Ansicht in der Projektionsgruppe. Normalerweise die Vorderansicht.
  • Daten-EigenschaftProjektionsTyp: "Erster Winkel" oder "Dritter Winkel".
  • Daten-EigenschaftAutoVerteilung: Wenn true, werden einzelne Ansichten automatisch ausgeblendet. Verwende false zur manuellen Positionierung.
  • Daten-EigenschaftAbstandX: Horizontaler Abstand zwischen den Ansichten bei automatischer Positionierung. Beachte, dass auch der Maßstab und die Größe der anderen Ansichten in der Gruppe den Abstand beeinflussen.
  • Daten-EigenschaftAbstandY: Vertikaler Abstand zwischen den Ansichten bei automatischer Anordnung.

Die Projektionsgruppe als Ganzes erbt X, Y, MaßstabsTyp, Maßstab und Drehung aus der Basisansicht.

Einzelne Ansichten innerhalb der Gruppe erben alle Teilansichtseigenschaften, aber das ProjektionsGruppen Objekt steuert den Maßstab aller seiner Mitgliedsansichten.

Die Eigenschaft des Drehvectors jeder einzelnen Ansicht innerhalb der Gruppe ist veraltet seit v0.19. Verwende stattdessen XRichtung.

Beachte, dass der mittlere Kasten die aktuelle Projektionsrichtung der primären Ansicht anzeigt. Sie kann nicht dazu benutzt werden, die Richtung zu ändern.

Skripten

Siehe auch: TechDraw API und FreeCAD Grundlagen Skripten.

Das NeueProjGruppe Werkzeug kann in Makros und von der Python Konsole aus verwendet werden. Ein vollständiges Skript ist in der Quellverteilung in "source-dir/src/Mod/TechDraw/TDTest/DProjGroupTest.py" verfügbar.

#make a page
    print("making a page")
    page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
    FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
    FreeCAD.ActiveDocument.Template.Template = templateFileSpec
    FreeCAD.ActiveDocument.Page.Template = FreeCAD.ActiveDocument.Template

    #make projection group
    group = FreeCAD.ActiveDocument.addObject('TechDraw::DrawProjGroup','ProjGroup')
    rc = page.addView(group)
    group.Source = [fusion]

    #add Front(Anchor) view
    frontView = group.addProjection("Front")               ##need an Anchor

    #update group
    group.Anchor.Direction = FreeCAD.Vector(0,0,1)
    group.Anchor.RotationVector = FreeCAD.Vector(1,0,0)

    #add more projections
    leftView = group.addProjection("Left")
    topView = group.addProjection("Top")
    rightView = group.addProjection("Right")
    rearView = group.addProjection("Rear")
    BottomView = group.addProjection("Bottom")

    #remove a view from projection group
    iv = group.removeProjection("Left")

Programmierhinweis: Die Projektionsgruppe sollte immer zur Seite hinzugefügt werden (z.B. page.addView(group), bevor Projektionen zur Gruppe hinzugefügt werden. Dies ermöglicht es der Projektionsgruppe, von der übergeordneten Seite abgeleitete Standardparameterwerte zu verwenden.

Arrow-left.svg Vorherige: TechDraw ActiveView.svg AktiveAnsicht
Nächste: SchnittAnsicht TechDraw SectionView.svg Arrow-right.svg